<mat-sidenav-container>

        <div id="board">
    
            <!-- HEADER -->
            <div class="header mat-accent-bg p-16 p-mat-24 top-bg {{secondColorBrand}}" fxLayout="column">
    
                <div class="header-content" fxLayout="row wrap" fxLayoutAlign="space-between" fxFlex="1 0 auto">
    
                    <!-- BOARD SELECTION BUTTON -->
                    <div fxLayout="row" fxLayoutAlign="center center" fxFlexOrder="2" fxFlexOrder.gt-xs="1">
                        <button mat-raised-button class="mat-accent header-boards-button"
                                (click)="navigateToOffers()"
                                aria-label="boards button">
                            <mat-icon>assessment</mat-icon>
                            <span>Ofertas</span>
                        </button>
                        
                        <div *ngIf="this.offer && this.offer.id" class="h2">
                                &nbsp;&nbsp;&nbsp;&nbsp;Oferta - {{this.offer.id}}
                            </div>
                    </div>
                    <!-- / BOARD SELECTION BUTTON -->
    
                    <!-- BOARD NAME -->
                    <div class="header-board-name mb-8 mb-mat-0"
                         fxLayout="row" fxLayoutAlign="center center"
                         fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="center center"
                         fxFlex="1 0 100%" fxFlex.gt-xs="1 0 auto"
                         fxFlexOrder="1" fxFlexOrder.gt-xs="2">
                        <app-edit-offer-name
                            [offer]="offer"
                            (onNameChanged)="onOfferNameChanged($event)">
                        </app-edit-offer-name>
                    </div>
                    <!-- / BOARD NAME -->
    
                    <div class="toolbar" fxLayout="row" fxLayoutAlign="space-between center" fxFlexOrder="3">
                        <button color="primary" 
                            mat-raised-button 
                            (click)="saveOffer()">
                            Salvar
                        </button>
                    </div>
                </div>
    
            </div>
            <!-- / HEADER class="board-content-wrapper p-16 p-mat-24 white-100-bg"-->
    
            <div fxFlex  class="board-content-wrapper p-16 p-mat-24 white-100-bg" >
    
                <div class="board-content ngx-dnd-container p-16 p-mat-24" fxLayout="row"
                    ngxDroppable="list" 
                    *fuseIfOnDom [@animateStagger]="{value:'50'}">
                </div>
    
                <!-- BOARD -->
                <div class="board-content ngx-dnd-container p-16 p-mat-24" fxLayout="row"
                     *fuseIfOnDom [@animateStagger]="{value:'50'}">
    
                     <!-- MY PRODUCTS/SERVICES -->
                     <div *ngIf="myProductsServicesUnavaiable" class="scrumboard-board-list list-wrapper" [@animate]="{value:'*',params:{duration:'350ms',x:'100%'}}">
                            <div class="list mat-elevation-z1" fxLayout="column">
                                <div class="list-header" fxFlex fxLayout="row" fxLayoutAlign="space-between center" [ngClass]="primaryColorBrand">
                                    <div fxFlex="1 0 auto" class="list-header-name white-fg">{{brandName  ? brandName : ''}} - Produtos e Serviços</div>
                                </div>
                                <div class="list-content" fxLayout="column">
                                    <div id="myCommodities"
                                        class="list-cards ngx-dnd-container" 
                                        ngxDroppable="card" 
                                        [model]="myProductsServicesList"
                                        (drop)="onLisDrop($event)"
                                        fusePerfectScrollbar>
        
                                        <app-offer-card
                                            class="scrumboard-board-card mat-elevation-z2 ngx-dnd-item"
                                            ngxDraggable *ngFor="let item of myProductsServicesList"
                                            [model]="item">
                                        </app-offer-card>
                                    </div>
        
                                </div>
                                <div class="list-footer"></div>               
                            </div>
                        </div>
                         <!-- / MY PRODUCTS/SERVICES  -->
                     
                     <!-- PRODUCTS/SERVICES AVAILABLE -->
                     <div class="scrumboard-board-list list-wrapper" [@animate]="{value:'*',params:{duration:'350ms',x:'100%'}}">
                        <div class="list mat-elevation-z1" fxLayout="column">
                            <div class="list-header" fxFlex fxLayout="row" fxLayoutAlign="space-between center">
                                <div fxFlex="1 0 auto" class="list-header-name">TracknMe - Produtos e Serviços </div>
                            </div>
                            <div class="list-content" fxLayout="column">
                                <div id="commodities"
                                    class="list-cards ngx-dnd-container" 
                                    ngxDroppable="card" 
                                    [model]="productsServicesList"
                                    (drop)="onLisDrop($event)"
                                    fusePerfectScrollbar>
    
                                    <app-offer-card
                                        class="scrumboard-board-card mat-elevation-z2 ngx-dnd-item"
                                        ngxDraggable *ngFor="let item of productsServicesList"
                                        [model]="item">
                                    </app-offer-card>
                                </div>
    
                                <div class="list-no-content m-16" *ngIf="productsServicesUnavaiable">
                                    <div class="pt-4">
                                        <span class="text-bold">Você ainda não tem Produtos e Serviços ativos</span>
                                    </div>
                                </div>
                            </div>
                            <div class="list-footer"></div>               
                        </div>
                    </div>
                     <!-- / PRODUCTS/SERVICES AVAILABLE -->
    
                     <!-- OFFER`S PRODUCTS/SERVICES -->
                     <div class="scrumboard-board-list list-wrapper" [@animate]="{value:'*',params:{duration:'350ms',x:'100%'}}">
                        <div class="list mat-elevation-z1" fxLayout="column">
                            <div class="list-header" fxFlex fxLayout="row" fxLayoutAlign="space-between center">
                                <div fxFlex="1 0 auto" class="list-header-name">Produtos e Serviços da Oferta</div>
                            </div>
                            <div class="list-content" fxLayout="column">
                                <div id="commoditiesOffer" 
                                    class="list-cards ngx-dnd-container" 
                                    ngxDroppable="card" 
                                    [model]="commoditiesOfferList"
                                    (drop)="onLisDrop($event)"
                                    fusePerfectScrollbar>
    
                                    <app-offer-card
                                        class="scrumboard-board-card mat-elevation-z2 ngx-dnd-item"
                                        ngxDraggable *ngFor="let item of commoditiesOfferList"
                                        [model]="item">
                                    </app-offer-card>
                                </div>
                                <div class="list-no-content m-16" *ngIf="commoditiesOfferList.length == 0">
                                    <div class="pt-4">
                                        <span class="text-bold">Arraste aqui os Produtos e Serviços</span>
                                    </div>
                                </div>                            
                            </div>
                            <div class="list-footer">
                                <div fxLayout="column" class="m-8">
                                    <!-- <div fxFlex>
                                        <span class="text-bold">Custo Adesão: </span>{{getAccessionTotalCost() | currency: 'BRL'}}
                                    </div>
                                    <div fxFlex>
                                        <span class="text-bold">Custo Mensalidade: </span>{{getRecurrenteTotalCost() | currency: 'BRL'}}
                                    </div> -->
                                </div>
                            </div>             
                        </div>
                    </div>
                    <!-- / OFFER`S PRODUCTS/SERVICES -->
    
                    <!-- LIST BRANDS  -->
                    <ng-container *ngIf="brandsList && brandsList.length > 0"> 
    
                        <div class="scrumboard-board-list list-wrapper" [@animate]="{value:'*',params:{duration:'350ms',x:'100%'}}">
                            <div class="list mat-elevation-z1" fxLayout="column">
                                <div class="list-header" fxFlex fxLayout="row" fxLayoutAlign="space-between center">
                                    <div fxFlex="1 0 auto" class="list-header-name">Disponivel para as marcas</div>
                                </div>
                                <div class="list-content" fxLayout="column">
                                    
                                    <mat-slide-toggle *ngIf="currentUserIsTracknme"
                                        class="m-16"
                                        fxFlex 
                                        #allBrandsSlideToggle
                                        [checked]="offer.availableForAllBrands">
                                        Disponivel para todas Marcas
                                    </mat-slide-toggle>
    
                                    <mat-divider></mat-divider>
    
                                    <mat-selection-list #brandsSelectionList 
                                        [hidden]=" currentUserIsTracknme ? allBrandsSlideToggle ? allBrandsSlideToggle.checked : false : false" 
                                        (selectionChange)="onBrandsSelectionChange($event)">
                                        <mat-list-option *ngFor="let brand of brandsList"
                                            [value]="brand.id"
                                            [selected]="brandIsSelected(brand.id)">
                                            {{brand.name}}
                                        </mat-list-option>
                                    </mat-selection-list>
    
                                </div>
                                <div class="list-footer">
                                </div>             
                            </div>
                        </div>
                    </ng-container>
                    <!-- / LIST BRANDS --> 
    
                    <!-- FORM -->
                    <div class="scrumboard-board-list list-wrapper" [@animate]="{value:'*',params:{duration:'350ms',x:'100%'}}">
                        <div class="list mat-elevation-z1" fxLayout="column">
                            <div class="list-header" fxFlex fxLayout="row" fxLayoutAlign="space-between center">
                                <div fxFlex="1 0 auto" class="list-header-name">Dados da Oferta</div>
                            </div>
                            <div class="list-content" fxLayout="column">
                                <div class="list-cards" fusePerfectScrollbar>
    
                                    <form [formGroup]="offerForm" fxLayout="column" fxFlex="1 0 auto" class="mt-8">
                                    
                                        <div fxLayout="row" fxLayoutAlign="start center">
                                            <mat-form-field fxFlex="100">
                                                <textarea matInput placeholder="Descrição" columns="1" mat-maxlength="150" max-rows="4" formControlName="description" required></textarea>
                                            </mat-form-field>
                                        </div>
    
                                        <!-- SALE FIELDS -->
                                        <ng-container *ngIf="offer.agreement == 'SALE'">
    
                                            <div fxLayout="row" fxLayoutAlign="start center">
                                                <mat-form-field fxFlex="100">
                                                    <input matInput formControlName="salePrice" placeholder="Valor da Venda" type="number" required>
                                                    <span matPrefix>R$&nbsp;</span>
                                                </mat-form-field>
                                            </div>
    
                                            <div fxLayout="row" fxLayoutAlign="start center">
                                                <mat-form-field fxFlex>
                                                    <mat-select placeholder="Parcelamento em até" formControlName="saleMaxInstallments">
                                                        <mat-option *ngFor="let installment of installmentsList" [value]="installment.key">
                                                            {{ installment.value }}
                                                        </mat-option>
                                                    </mat-select>
                                                    <mat-error *ngIf="offerForm.get('saleMaxInstallments').hasError('required')">
                                                        Por favor, selecione o Parcelamento
                                                    </mat-error>
                                                </mat-form-field>
                                            </div>                                        
                                        </ng-container>
                                        <!-- // SALE FIELDS -->
    
                                        <!-- LEASE FIELDS -->
                                        <ng-container *ngIf="offer.agreement == 'LEASE' || offer.agreement == 'RENT'">
    
                                            <div fxLayout="row" fxLayoutAlign="start center" *ngIf="offer.agreement == 'LEASE'">
                                                <mat-form-field fxFlex="100">
                                                    <input  matInput formControlName="leaseAccessionPrice" placeholder="Valor de Entrada" type="number">
                                                    <span matPrefix>R$&nbsp;</span>
                                                </mat-form-field>
                                            </div>
    
                                            <div fxLayout="row" fxLayoutAlign="start center"  *ngIf="offer.agreement == 'LEASE'">
                                                <mat-form-field fxFlex="100">
                                                    <input  matInput formControlName="leaseInstallmentPrice" placeholder="Valor da Parcela" type="number" required>
                                                    <span matPrefix>R$&nbsp;</span>
                                                </mat-form-field>
                                            </div>                                  
                                            
                                            <div fxLayout="row" *ngIf="offer.agreement == 'LEASE' || offer.agreement == 'RENT'" fxLayoutAlign="start center">
                                                <mat-form-field fxFlex>
                                                    <mat-select placeholder="Período do Contrato" formControlName="leaseContractPeriod"  required>
                                                        <mat-option  *ngFor="let item of leaseContractPeriodList"  [value]="item.key">
                                                            {{item.value}}
                                                        </mat-option>
                                                    </mat-select>
                                                </mat-form-field>
                                            </div>
    
                                            <div fxLayout="row" fxLayoutAlign="start center"  *ngIf="offer.agreement == 'LEASE'">
                                                <mat-form-field fxFlex="100">
                                                    <input  matInput formControlName="leaseGracePeriod" placeholder="Dias de Carência" type="number">
                                                </mat-form-field>
                                            </div>                                        
                                        </ng-container>
                                        <!-- // LEASE FIELDS -->
                                        
                                        <ng-container *ngIf="offer.agreement == 'LEASE' || offer.agreement == 'RENT' || offer.agreement == 'SALE'">
    
                                            <!-- RECURRENCE -->
                                            <div fxLayout="row" fxLayoutAlign="start center">
                                                <mat-form-field class="mt-8" fxFlex="100">
                                                    <input  matInput formControlName="recurrencePrice" placeholder="Valor da Mensalidade dos Serviços" type="number">
                                                    <span matPrefix>R$&nbsp;</span>
                                                </mat-form-field>
                                            </div>     
                                            <!-- // RECURRENCE -->
    
                                            <!-- AVAIABLE PAYMENTS -->
                                            <div class="section" >
                                                <div class="section-content">
    
                                                    <div fxLayout="column" fxLayoutAlign="space-between stretch" fxLayoutGap="10px">
                                                        
                                                        <mat-checkbox fxFlex 
                                                            formControlName="creditCardPayment">
                                                            Pagamento com Cartão de Crédito
                                                        </mat-checkbox>
    
                                                        <mat-checkbox fxFlex 
                                                            formControlName="debitCardPayment">
                                                            Pagamento com Cartão de Débito
                                                        </mat-checkbox>
                                                    
                                                        <mat-checkbox fxFlex 
                                                            formControlName="bookletPayment">
                                                            Pagamento com Boleto
                                                        </mat-checkbox>
                                                    </div>
                                                </div>
                                            </div> 
                                            <!-- // AVAIABLE PAYMENTS -->
                                        </ng-container>
                                    </form>
                                </div>                                
                            </div>
                            <div class="list-footer">
                            </div>
                        </div>
                    </div>
                    <!-- / FORM -->
    
                </div>
                <!-- / BOARD -->
                
            </div>
            
            <!-- primary content -->
        </div>
        <div fxFlex style="height: 20%; background-color: #DCDFE2;" > 
            <div class="h2" style="padding-top: 4px">&nbsp;&nbsp;Detalhes da Oferta</div>
            <span layout="row"><hr flex/></span>
            <div fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="10px">
                <div fxFlex="20">
                    <span >&nbsp;&nbsp;Valores do Rastreador<br></span>
                   
                    <span *ngIf="offerForm && offerForm.value.leaseAccessionPrice">&nbsp;&nbsp;• Entrada de {{offerForm  && offerForm.value.leaseAccessionPrice ? (offerForm.value.leaseAccessionPrice | currency: 'BRL') : 0}}. <br></span>
                    
                    <span *ngIf="offerForm && !offerForm.value.leaseAccessionPrice && !offerForm.value.salePrice">&nbsp;&nbsp;• Sem Entrada. <br></span>
                    
                    <span *ngIf="offerForm && this.offerForm.value.salePrice">&nbsp;&nbsp;• Entrada de {{ this.offerForm ? (this.offerForm.value.salePrice | currency: 'BRL') : 0}}. <br></span>
    
                    <span *ngIf="offerForm && this.offerForm.value.leaseInstallmentPrice && this.offerForm.value.leaseContractPeriod">&nbsp;&nbsp;• + {{this.offerForm ? (this.offerForm.value.leaseContractPeriod) : 0}}x de {{this.offerForm ? (this.offerForm.value.leaseInstallmentPrice | currency: 'BRL') : 0}}.<br></span>
                    
                    <span *ngIf="offerForm && this.offerForm.value.leaseGracePeriod">&nbsp;&nbsp;• Com a primeira parcela para {{(this.offerForm.value.leaseGracePeriod+30)}} dias após a compra.<br></span>
                </div>
                <div fxFlex="20">
                    <span >&nbsp;&nbsp;Mensalidade de Serviços<br></span>
                    <span *ngIf="this.offerForm && this.offerForm.value.recurrencePrice">&nbsp;&nbsp;• {{this.offerForm.value.recurrencePrice | currency: 'BRL'}}.<br></span>
                </div>
                <div fxFlex="60">
                        <span >&nbsp;&nbsp;Detalhamento das Parcelas<br></span>
                        <span *ngIf="this.offerForm && this.offerForm.value.leaseAccessionPrice">&nbsp;&nbsp;• Entrada {{this.offerForm.value.leaseAccessionPrice | currency: 'BRL'}}.<br></span>
                        <span *ngIf="this.offerForm && !this.offerForm.value.leaseAccessionPrice && !this.offerForm.value.salePrice">&nbsp;&nbsp;• Sem Entrada. <br></span>
                        <span *ngIf="this.offerForm && this.offerForm.value.leaseInstallmentPrice && this.offerForm.value.recurrencePrice && this.offerForm.value.leaseGracePeriod">&nbsp;&nbsp;• Primeira parcela para {{(this.offerForm.value.leaseGracePeriod+30)}} dias após a compra:  Parcela do comodado: {{this.offerForm.value.leaseInstallmentPrice | currency: 'BRL'}}  + Mensalidade dos serviços: {{this.offerForm.value.recurrencePrice | currency: 'BRL'}}. <br></span>
                        <span *ngIf="this.offerForm && this.offerForm.value.leaseInstallmentPrice && this.offerForm.value.recurrencePrice && this.offerForm.value.leaseContractPeriod">&nbsp;&nbsp;• {{this.offerForm.value.leaseContractPeriod}}º parcela:  Última parcela do comodado: {{this.offerForm.value.leaseInstallmentPrice | currency: 'BRL'}}  + Mensalidade dos serviços: {{this.offerForm.value.recurrencePrice | currency: 'BRL'}}.<br></span>
                        <span *ngIf="this.offerForm && this.offerForm.value.recurrencePrice && this.offerForm.value.leaseContractPeriod && offer.agreement != 'RENT'">&nbsp;&nbsp;• A partir da {{this.offerForm.value.leaseContractPeriod}}º parcela:  Mensalidade dos serviços: {{this.offerForm.value.recurrencePrice | currency: 'BRL'}}.<br></span>
                        <span *ngIf="this.offerForm && this.offerForm.value.salePrice">&nbsp;&nbsp;• Entrada de {{ this.offerForm.value.salePrice | currency: 'BRL'}}. <br></span>
                        <span *ngIf="this.offerForm && this.offerForm.value.recurrencePrice && this.offerForm.value.salePrice">&nbsp;&nbsp;• Com parcelas Mensal:  Mensalidade dos serviços: {{this.offerForm.value.recurrencePrice | currency: 'BRL'}}.<br></span>
                </div>
            </div> 
        </div>
    
    </mat-sidenav-container>